One of the games I recently purchased decided it didn’t want me to run on my spiffy new x64 install. Being the resourceful person that I am, I decided to see if I could work around this little restriction. After trying the normal compatibility workarounds (Properties->compatibility) and failing I decided to bring in the heavyweight tools.

 

Orca is a Windows Installer(msi) database editor that can be used to remove errant OS restrictions than can prevent you from running on 64 bit. It’s worth noting that those restrictions may be there for a reason (i.e. It doesn’t work, you aren’t licensed to run on that platform) so

A) Don’t break the law

   and

B) Be careful.

 

Having said that, I opened the msi in orca and looked at the LaunchCondition table and found this gem:

 

(Not Version9X=400) And (Not VersionNT=400) And (Not VersionNT=502)

 

It just happens that Windows x64 says it is windows Version 5.2 (winver.exe will tell you this) so that is our issue. Editing the launch condition to

 

(Not Version9X=400) And (Not VersionNT=400)

 

and exiting orca (this is important, orca keeps the msi opened and will give you a corrupt msi error if you try to install it) allowed me to install the game.

 

Now I am happily running around killing things and saving the world from a demon invasion in 64 bit!